# Symfony 6.4 routes — DirectPotager
# SF6: controllers are imported via attribute routing (PHP 8 #[Route])

controllers:
    resource:
        path: ../src/Controller/
        namespace: App\Controller
    type: attribute

# PotagerBundle controllers — PHP 8 #[Route] attributes
potager_legacy:
    resource: '../src/PotagerBundle/Controller/'
    type: attribute
    prefix: /

# Sonata Admin
admin_area:
    resource: '@SonataAdminBundle/Resources/config/routing/sonata_admin.xml'
    prefix: /admin

_sonata_admin:
    resource: .
    type: sonata_admin
    prefix: /admin

# Sonata User Admin
sonata_user_admin_security:
    resource: '@SonataUserBundle/Resources/config/routing/admin_security.xml'
    prefix: /admin

sonata_user_admin_resetting:
    resource: '@SonataUserBundle/Resources/config/routing/admin_resetting.xml'
    prefix: /admin/resetting

# Sonata Media
sonata_media:
    resource: '@SonataMediaBundle/Resources/config/routing/media.xml'
    prefix: /media

# HWI OAuth
hwi_oauth_redirect:
    resource: '@HWIOAuthBundle/Resources/config/routing/redirect.xml'
    prefix: /connect

hwi_oauth_login:
    resource: '@HWIOAuthBundle/Resources/config/routing/login.xml'
    prefix: /connect

hwi_oauth_connect:
    resource: '@HWIOAuthBundle/Resources/config/routing/connect.xml'
    prefix: /connect

hwi_facebook_login:
    path: /login/check-facebook

hwi_google_login:
    path: /login/check-google

# FOS JS Routing
fos_js_routing:
    resource: '@FOSJsRoutingBundle/Resources/config/routing/routing-sf4.xml'

# Payum
payum_all:
    resource: '@PayumBundle/Resources/config/routing/all.xml'
